Jump to content

Search the Community

Showing results for tags 'angle'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 23 results

  1. Hi all, I have been tasked with coming up with a dynamic block that is for a chute. It is a simple rectangle that I've added some attributes to and a field within one of the attributes. What I need the formula to do is calculate the angle of the chute based on user input for the upper height and the lower height (rise) and "Distance 1" (run) and then return the answer in the field. It returns the correct angle on insertion, however, when I change any of the values and Regen the result is incorrect. In addition, I would like the "Angle" attribute to not show in the dialog box when inserted. Is that possible? Thanks. Chute plan view.dwg
  2. I'm making an Audi R8 as a project but how can I extrude an arc on an angle? I'm trying to extrude from the top view to make the body side arcs.
  3. I did an F1 search in CAD and couldn't find the answer. I have be remodeling a floor plan and notice that when I copy a room or single line, I am unable to change the angle in properties. The calculator shows up in the properties angle cell, but when it's there, It doesn't work. Is there a setting to change this? Thank you.
  4. Hi, I want to draw a line on an angle from a known start point at a known length to a known finished plane (but not a known finish point or angle). Hopefully the attached pdf explains it better than I have here. I have turned on OSNAP to get the start point of my line then turned it off again to enable me to select the end point of my line without it snapping to the end or midpoint while it shows the length of my line on screen but this isn't completely accurate. Any ideas would be greatly appreciated? AutoCAD Line Drawing question.pdf
  5. Is it possible to use a command or button when you are drawing something? For example; I've made a toolbar for changing the polar angle into different angles. One for 30 degrees, one for .... degrees, etc. If I am drawing a polyline, and I need to change this angle, I can not use any button from this toolbar, otherwise the command stops. I can use the polar button to change the angle, at the bottom of the screen, between the other status toggles. I can use these status toggles any time. But because I need to switch very often, it takes a lot of time to use this. I also want to use the "snapang" command during this (or an other) command. If I need to change the angle of the polyline, just select 2 magnet points and my angle is oke. At this moment, I need draw the first part of a polyline, folowing change the snapang angle, draw the second part of the polyline and at last, use "pedit" to join the 2 polyline parts together. In short; I want to change my toolbar buttons so I can use them just like the status toggles. Usable at any time. Thank for your advice or solution.
  6. Hi Everyone, Just wondering if anyone knows of a good lsp routine for doing the following, or if anyone knows how to do this with built in capabilities in AutoCAD 2015. Basically I want to annotate angles and distance for survey drafting so I can produce plans that look like this plan that I've attached. I have a routine that will give me the distance and bearing and place it parallel to a line but now I need to be able to do the same with the angle (in degrees/minutes/seconds) and distance (in meters) so that the angle appears as it does in the attached sample. Any help would be most appreciated! Thanks!
  7. I have set in autocad the correct angle settings, have been applying 20 different functions to obtain the correct angle (Y axis) between two coordinates, but I keep getting strange angles back from this routine. Either the correct angle is difference with 90, or 450. Any idea why? I have gone through most of math forums on the internet. I need the angle correctly in order to scale a polygon. thanks. Public Function GiveAngle(DegRad As Boolean, x1 As Double, y1 As Double, x2 As Double, y2 As Double) As Double Dim Xdist, Ydist As Double Dim ATAN3 As Double Dim PI As Double PI = 3.14159265358979 Xdist = (x2 - x1) Ydist = (y2 - y1) If Abs(Ydist) > Abs(Xdist) Then If Ydist > 0 Then ATAN3 = Math.Atn((x2 - x1) / (y1 - y2)) Else ATAN3 = Math.Atn((x2 - x1) / (y1 - y2)) + PI End If Else If Xdist > 0 Then ATAN3 = 0.5 * PI - Atn((x2 - x1) / (y1 - y2)) Else ATAN3 = -0.5 * PI - Atn((x2 - x1) / (y1 - y2)) End If End If GiveAngle = ATAN3 * 180 / PI End Function
  8. Just came across this neat little LISP routine. Works perfect for me and my guys because we insulated pipe and this eliminates having to click click click click to constantly offset lines both ways. (defun C:OFF2 (/ pickEnt pickObj offDist) (vl-load-com) (setvar "ErrNo" 0) (while (and (not (setq pickEnt (entsel))) (/= 52 (getvar "ErrNo")))) (cond ((and pickEnt (setq pickObj (vlax-EName->vla-Object (car pickEnt))) (progn (initget 6) (setq offDist (getdist "\nSpecify offset distance: ")))) (vla-Offset pickObj offDist) (vla-Offset pickObj (- offDist)) (I:PutCL pickObj))) (princ)) (defun I:PutCL (myObj / linetypes ltName) (setq linetypes (vla-Get-Linetypes (vla-Get-Document myObj)) ltName "Center") (cond ((vl-catch-all-error-p (vl-catch-all-apply 'vla-Item (list linetypes ltName))) (vla-Load linetypes ltName (cond ((= (getvar "Measurement") 0) "Acad.lin") ("AcadISO.lin"))))) (vla-Put-Linetype myObj ltName)) Question: Can someone have a look and instead of prompting for offset distance (since we already have a standard set distance ALWAYS) of 0.812 so thats what I would need. Also can someone add a for multiple piece? God bless!
  9. Hello, I'm having a hard time finding the solution for my problem. I want to create a dynamic block in Autocad 2014 In this block I need to determine the intersection between 2 lines. In the sample you'll see my problem. I want to make A, B and C variables in my block. The angle on top is always 90 degrees. With this information I can draw everything, but I don't know how to make the intersection properly, and keep it clean when manipulating the variables. Variable A has to be positive between 1 and 89 degrees, there are no restrictions on the variables C. Any help is much appreciated mvrp350 intersection problem.dwg
  10. How can I draw lines with specific interior angles between them? For example, if I draw my first line then, I want to draw the second one but with an interior angle of 100deg between them, what can I do? Thanks.
  11. hkench

    Drawing relative angles

    How can I draw the bottom line, with an angle of 132 relative to the middle line? Pulling my hair out here, and I don't have much to spare!
  12. First of all sorry for my bad english. I wonder how do I change the default value of the angle that is between in the command UCS "specify rotation angle about X axis :" from 180.00 to 90.00 Thanks
  13. Hello there! I'm really new to AutoCAD and I'm basically trying to learn it by drawing simple things. My question is this: how do I change the angle that is between two meeting lines?
  14. Hello, Nice to meet you all, hope you can help me with this hatch. I have to make a hatch to represent wine property. I have shown the dimensions and how it should look like in the attached files. I was able to make it up to one point, when I have to represent the oblique lines. They don't fit right. This is the code: *winery 90, 0, 0, 5, 5, 1, -9 90, 0.75, -1, 5, 5, 3, -7 90, 1.5, -1, 5, 5, 0.5, -9.5 90, 1.5, 1.5, 5, 5, 0.5, -9.5 18, 0, 1, 5, 6, 1.5811, -15 Thanks in advance.
  15. I searched on this forum and a few other forums. Several people recommended DIMANGULAR. I have some concerns using this method because it is dependent on the precision of angular units in the drawings DIMSTYLE settings. For example, if a drawing file's DIMSTYLE has a precision set to the nearest whole decimal degree or only shows degrees and minutes but not seconds then the angle may appear at a certain angle, let's say perpendicular at 90 degrees. But in reality the angle might be slightly less than 90 degrees, if its off by a few seconds. I learned an alternative way by selecting both lines and typing the LIST command. The Angle in XY Plane will show the measurement for each segment in bearings, not azimuths. I simply find the difference between the Angles in XY Planes for both lines to determine the angle. I have a few concerns with this method. 1. How do you add subtract bearings measured in degrees, minutes, and seconds? For example, N 76d3'18" W and N 13d56'42"E? I "think" there are websites that can do this? Can this be done directly in AutoCAD through QuickCalc or some other tool? 2. Lines, but not polylines, have Angles in XY Planes in the LIST command. Is this because AutoCAD assumes that polylines will be composed of more than one segment (and each segment with a possible different angle)? Is there anyway to measure the angle of a single one-segment polyline? Is there a DIFFERENT way between the two methods I just described to measure the angle between two lines (and two polylines) in AutoCAD? Thanks-
  16. This seems like a simple setting but I can not find it. I am working on a drawing that has been created by another firm. Due to the building not having the normal 0/90 walls they have rotated the orthographic projection to a 15 degree angle. When I try and draw a straight line in the "straight" part of the building with my ortho on, it pulls the aperture to 15 degrees. Yes, I could turn my ortho off but would prefer to toggle the angle between 15 degrees and 0/180 degrees. What is the setting to change it and how do I get there?
  17. I am totally lost! When I zoom close into the drawing the lines are changing their angels…(!) Or they disappear only to pop op again as I zoom out. Also some of them changes from being full lines to being dotted (and it is not dotted lines) when I zoom in close. Also the SNAP function isn’t working very well. I have to zoom in A LOT in order to get it to snap. The snap icon shows all right, but when I zoom in afterwards it shows that it didn’t snap at all to the other line. This happened recently in drawing I have been working with since early spring without problems. Oh and one more thing. In one of my drawings, that are all drawn in 2D, many of the walls and other things suddenly are extended up as if it was 3D. I noticed this only because I was trying to solve my problem described above and I mention it because I think maybe it can be related to my problem. Really hope someone will try and help me cause I’m completely stalled as it is now. I use AutoCAD Architectural 2009 Thank you very much Marcus
  18. platinum home

    Site plan problems

    I'm fairly new at drawing site plans. I can do a square site plan fine but now I have to put a house on a lot with a arc front. The cooridinates are S4d54'02E on the west side with a length of 108.54'. The back is n87d58'41"E with a length of 113.21. The east side is N25d53'25"E with a length of 118.29'. The front of the house has the arc and all it says is curve 18. I have the three sides but don't know how to get the front. The information on the curve is: Length-55.31' Radius-50.00' Delta - 54.09' Chord direction - s83d44'48"W chord length - 52.53'
  19. Autocad 2012 Part I When I place a diameter/radius leader, it is a set length. I can move it all around the circle I'm dimensioning but the length of this leader is set. It is really short and it sucks to have to place the dimension then move it to where I want it as a second step. Is there a setting that will allow me to drag this dimension where I want and make the leader as long as I desire? Part II: In Autocad 2009, if you wanted to change a leader location, you could pick the text grip and it would move the end of the leader to that point then place the dimension from that point. Now picking the grip places the text and I have no control over the angle of the leader (our standards require leaders to always be a set angle from the object!) PLEASE advise!! Thanks!
  20. I have an angle and I have drawn its bisector. I want to constrain two bisector angles to be equal so that if I change one of bisector angles the other one changes automatically to maintain the equal value. I am new to constrain command in ACAD 2010 and haven't mastered it but I think it should not be difficult to do it with constrain command.
  21. Just downloaded 2012 educational version - Hate to admit it but out of all the stupid things I have not found yet is the darn Zoom/zoom previous button! From what I see though, this looks like a great version. Enough for me to get on with my training again! Question - Basically framing in a small cubicle in 2x4's - 6'x6'x6' - Here's what I am grieviously trying to do... (In the drawing, anyway.) The base is to remain 6'x6' - tapering in at a 15 degree angle toward the top of the box or cubicle. The base perimeter 2x4's will need to be "cross cut" in a compound miter as they will be on their edge to form the base box. As well, I need to "rip" the edges of the base 2x4's to a 15 degree as well. Then my "studs" will be cut at the same degree. I tried this with the 2002 version, but seemed to be going to L.A. Via Omaha. Must be a better way with 2012! Now though this question makes sense to me... If I can clarify in any way, Do ask. And, Thank you!
  22. I have a drawing of a factory, with different equipment foundations laid out. I'm trying to do a type of surveying, get a distance and angle measurement from a specific set point in the drawing. So far i've only been able to use the Aligned Dimension function to show the distance between the set point and edge of a foundation (for example.) How can I show the angle as well on the same dimension line. Any help would be REALLY appreciated!
  23. Hi all, I've never written a LISP routine before and I am finding myself in need of a function that I can't seem to be able to do without LISP, so I have begun my first attempt. It's not going so well. I need to be able to pick two points and have a square drawn that uses those two points as opposite corners. I think if I can check the angle between the two points, then add or subtract 45-degrees from that, I will get the rotation for the square, and I can then use the RECTANGLE command to draw it by picking the first point, setting the rotation, and then pick the second point. I think the code should look something like this: (defun C:square (/p1 rot p2) (set q p1 (getpoint "\n Pick first corner:")) (set q p2 (getpoint "\n Pick opposite corner:")) (set q rotang (-45 (ANGLE p1 p2))) (command "RECTANGLE" p1 "R" " rotang "" p2) (princ) ) The first problem I run into is that I don't know how to check the angle between the two points. I know I can get it by using the DIST command and the value comes up as "Angle in XY-plane" but I don't know how to then use that value as my ANGLE value. Second, I have no idea if I am even on the right track as far as writing the code. Any help would be greatly appreciated. I'm working in Civil 3D 2011.
×